Bug 508268 - Fence agent for WTI ends with traceback when option is missing
Fence agent for WTI ends with traceback when option is missing
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On: 508262
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 07:35 EDT by Marek Grac
Modified: 2016-04-26 10:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: fence-1.32.68-5.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 508262
Environment:
Last Closed: 2011-02-16 11:14:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Grac 2009-06-26 07:35:13 EDT
+++ This bug was initially created as a clone of Bug #508262 +++

If WTI device expects login and login name is not entered then it fails with traceback. Correct error message is expected.

Login name is required for WTI, so it has to be checked after login is encountered.

--- Additional comment from mgrac@redhat.com on 2009-06-26 07:29:01 EDT ---

Same problem can occur with password (also optional on wti)

--- Additional comment from mgrac@redhat.com on 2009-06-26 07:34:15 EDT ---

Fixed in:
http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commit;h=6442d9f60e650fc6669e6422207f27a073aca8ac
Comment 5 errata-xmlrpc 2011-02-16 11:14:58 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0266.html

Note You need to log in before you can comment on or make changes to this bug.